org.apache.ignite.internal.processors.odbc

## Class ClientListenerNioServerBuffer

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerNioServerBuffer

    public class ClientListenerNioServerBuffer
    extends Object

Client NIO server buffer.

### Constructor Summary

Constructors
Constructor and Description
`ClientListenerNioServerBuffer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `data()` Get data withing the buffer.
`boolean` `isFilled()` Checks whether the byte array is filled.
`byte[]` `read(ByteBuffer buf, boolean checkHandshake)`
`void` `reset()` Reset buffer state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientListenerNioServerBuffer

    public ClientListenerNioServerBuffer()

### Method Detail

#### reset

    public void reset()

Reset buffer state.

#### isFilled

    public boolean isFilled()

Checks whether the byte array is filled.

Returns:
  Flag indicating whether byte array is filled or not.

#### data

    public byte[] data()

Get data withing the buffer.

Returns:
  Data.

#### read

    @Nullable
    public byte[] read(ByteBuffer buf,
                                 boolean checkHandshake)
                          throws IgniteCheckedException

Parameters:
  `buf` - Buffer.
  `checkHandshake` - Check handshake.
Returns:
  Message bytes or `null` if message is not fully read yet.
Throws:
  `IgniteCheckedException` - If failed to parse message.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018